## ros-indigo-utilrb 2.8.0

=== CMakeLists.txt ===

cmake_minimum_required(VERSION 2.6)

project(utilrb)
find_package(Ruby REQUIRED)

include_directories( ${RUBY_INCLUDE_DIRS})
if(${RUBY_VERSION} VERSION_LESS "1.9")
  add_definitions(-DRUBY_IS_18)
endif()

# Find readline
find_library(readline_LIBRARY readline)
if(NOT readline_LIBRARY)
  message(SEND_ERROR "libreadline not found!")
endif()

add_library( utilrb_ext MODULE
  ext/utilrb/proc.c
  ext/utilrb/readline.c
  ext/utilrb/utilrb.cc
  ext/utilrb/value_set.cc
  ext/utilrb/weakref.cc
)
set_target_properties(utilrb_ext PROPERTIES PREFIX "")
if(APPLE)
  set_target_properties(utilrb_ext PROPERTIES SUFFIX ".bundle")
endif()
target_link_libraries(utilrb_ext ${RUBY_LIBRARY} ${readline_LIBRARY})
set_target_properties(utilrb_ext PROPERTIES OUTPUT_NAME utilrb)

string(REGEX REPLACE ".*(lib|share)(32|64)?/?" "\\1/" RUBY_EXTENSIONS_INSTALL_DIR ${RUBY_ARCH_DIR})
string(REGEX REPLACE ".*(lib|share)(32|64)?/?" "\\1/" RUBY_LIBRARY_INSTALL_DIR ${RUBY_RUBY_LIB_PATH})
install(DIRECTORY lib/ DESTINATION ${RUBY_LIBRARY_INSTALL_DIR} )
install(TARGETS utilrb_ext DESTINATION ${RUBY_EXTENSIONS_INSTALL_DIR}/utilrb )
install(FILES package.xml DESTINATION share/utilrb)

# Install an env-hook if catkin is found
find_package(catkin QUIET)
if(catkin_FOUND)
  catkin_add_env_hooks(00.utilrb SHELLS sh DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}/env-hooks)
endif()

=== debian/changelog ===
ros-indigo-utilrb (2.8.0-1trusty) trusty; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Orocos Development Team <orocos-dev@lists.mech.kuleuven.be>  Mon, 26 Jan 2015 16:04:19 -0000

=== debian/control ===
Source: ros-indigo-utilrb
Section: misc
Priority: extra
Maintainer: Orocos Development Team <orocos-dev@lists.mech.kuleuven.be>
Build-Depends: debhelper (>= 9.0.0), cmake, libreadline-dev, libruby1.9.1, rake-compiler, ros-indigo-catkin, ruby-facets, ruby-hoe, ruby1.9.1, ruby1.9.1-dev
Homepage: 
Standards-Version: 3.9.2

Package: ros-indigo-utilrb
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libreadline-dev, libruby1.9.1, ros-indigo-catkin, ruby-facets, ruby-hoe, ruby1.9.1, ruby1.9.1-dev
Description: Ruby toolkit: This library is a collection of useful Ruby classes

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-utilrb//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
